Skip to main content
GET
/
v1
/
credentials
Get all credentials
curl --request GET \
  --url https://api.skyvern.com/v1/credentials
[
  {
    "credential_id": "cred_1234567890",
    "credential": {
      "username": "user@example.com",
      "totp_type": "authenticator",
      "totp_identifier": "user@example.com"
    },
    "credential_type": "password",
    "name": "Amazon Login"
  }
]

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
Example:

1

page_size
integer
default:10

Number of items per page

Required range: x >= 1
Example:

10

Response

Successful Response

credential_id
string
required

Unique identifier for the credential

Example:

"cred_1234567890"

credential
PasswordCredentialResponse · object
required

Response model for password credentials, containing only the username.

credential_type
enum<string>
required

Type of the credential

Available options:
password,
credit_card,
secret
name
string
required

Name of the credential

Example:

"Amazon Login"